# Role : docker_jitsimeet

## Services fournis

- main.yml : Installation de jitsimeet sur un serveur docker_host

## Variables

Fournir les variables suivantes. Par exemple :

```yaml
docker_jitsimeet_fqdn: jitsimeet.example.com
docker_jitsimeet_version: stable-7648-4
docker_jitsimeet_data_dir: /data1
docker_jitsimeet_service_id: jitsimeet

docker_jitsimeet_jicofo_auth_password: "coller_ici_jicofo_auth_password"
docker_jitsimeet_jvb_auth_password: "coller_ici_jvb_auth_password"
docker_jitsimeet_jvb_host_address: 10.11.12.13

docker_jitsimeet_etherpad_public_url: https://pad.libretic.fr
```

| Option                                | Valeur par défaut | Description                                                                                |
|---------------------------------------|-------------------|--------------------------------------------------------------------------------------------|
| docker_jitsimeet_fqdn                 |                   | Le fqdn pour accéder à jitsimeet                                                           |
| docker_jitsimeet_version              |                   | Version de l'image jitsimeet                                                               |
| docker_jitsimeet_data_dir             |                   | L'emplacement dans lequel se trouvent les volumes de donnees docker pour le service        |
| docker_jitsimeet_service_id           |                   | Le nom de service souhaité : conditionne le nommage des dossiers et le routage par traefik |
| docker_jitsimeet_jicofo_auth_password |                   | Mdp de jicofo ; générer avec `openssl rand -hex 16`                                        |
| docker_jitsimeet_jvb_auth_password    |                   | Mdp de jvb ; générer avec `openssl rand -hex 16`                                           |
| docker_jitsimeet_jvb_host_address     |                   | Adresse du serveur docker sur lequel écoute le service jvb                                 |
| docker_jitsimeet_etherpad_public_url  |                   | Si précisé, indique à Jitsi un serveur sur lequel partager un document par réunion         |


